Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.utils
Class UrlServicesUtils

    java.lang.Object
      |
      +--oracle.portal.provider.v2.utils.UrlServicesUtils

public synchronized class UrlServicesUtils
extends java.lang.Object

Field Summary
`static java.lang.String` | `BASIC_AUTHENTICATION`
`static int` | `BASIC_LOGGING`
`static java.lang.String` | `CONTENT_TYPE_HEADER_FIELD`
`static java.lang.String` | `COOKIE_NAME_CONST`
`static java.lang.String` | `DEFAULT_CHARACTER_ENCODING`
`static java.lang.String` | `DEFAULT_IANA_ENCODING`
`static java.lang.String` | `EXTERNAL`
`static java.lang.String` | `EXTERNAL_APP`
`static java.lang.String` | `FALSE`
`static java.lang.String` | `FORWARD_SLASH`
`static int` | `HIGHER_LOGGING`
`static java.lang.String` | `HREF_LOWERCASE`
`static java.lang.String` | `HREF_UPPERCASE`
`static java.lang.String` | `HTML`
`static int` | `HTML_CONTENTS_LOGGING`
`static int` | `MAXCOOKIES`
`static java.lang.String` | `PAGE_URL`
`static java.lang.String` | `PUBLIC_PORTLET`
`static java.lang.String` | `REGISTERED_AUTHTYPE`
`static java.lang.String` | `REGISTERED_FLAG`
`static java.lang.String` | `SELECT_SUBMIT`
`static java.lang.String` | `TABLE_BACKGROUND_COLOR`
`static java.lang.String` | `TABLE_TAG_END`
`static java.lang.String` | `TABLE_TAG_START`
`static java.lang.String` | `TRUE`
`static int` | `XHTML_CONTENTS_LOGGING`
`static java.lang.String` | `XML`

Constructor Summary
`UrlServicesUtils()`

Method Summary
`static java.lang.StringBuffer` | `convertStreamToStringBuffer(java.io.InputStream, java.lang.String, int)`
`static java.lang.String` | `hashString(java.lang.String)`
`static void` | `logMessage(java.lang.String, java.lang.Exception, int)`
`static void` | `logMessage(java.lang.String, int)`
`static void` | `logMessage(java.lang.String, int, int)`
`static java.lang.String` | `showPortletParameters(PortletRenderRequest)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COOKIE_NAME_CONST

    public static final java.lang.String COOKIE_NAME_CONST

See Also:
  Constant Field Values

### MAXCOOKIES

    public static final int MAXCOOKIES

See Also:
  Constant Field Values

### EXTERNAL

    public static final java.lang.String EXTERNAL

See Also:
  Constant Field Values

### BASIC_AUTHENTICATION

    public static final java.lang.String BASIC_AUTHENTICATION

See Also:
  Constant Field Values

### CONTENT_TYPE_HEADER_FIELD

    public static final java.lang.String CONTENT_TYPE_HEADER_FIELD

See Also:
  Constant Field Values

### REGISTERED_FLAG

    public static final java.lang.String REGISTERED_FLAG

See Also:
  Constant Field Values

### REGISTERED_AUTHTYPE

    public static final java.lang.String REGISTERED_AUTHTYPE

See Also:
  Constant Field Values

### PUBLIC_PORTLET

    public static final java.lang.String PUBLIC_PORTLET

See Also:
  Constant Field Values

### HTML

    public static final java.lang.String HTML

See Also:
  Constant Field Values

### XML

    public static final java.lang.String XML

See Also:
  Constant Field Values

### TRUE

    public static final java.lang.String TRUE

See Also:
  Constant Field Values

### FALSE

    public static final java.lang.String FALSE

See Also:
  Constant Field Values

### HREF_LOWERCASE

    public static final java.lang.String HREF_LOWERCASE

See Also:
  Constant Field Values

### HREF_UPPERCASE

    public static final java.lang.String HREF_UPPERCASE

See Also:
  Constant Field Values

### FORWARD_SLASH

    public static final java.lang.String FORWARD_SLASH

See Also:
  Constant Field Values

### BASIC_LOGGING

    public static final int BASIC_LOGGING

See Also:
  Constant Field Values

### HIGHER_LOGGING

    public static final int HIGHER_LOGGING

See Also:
  Constant Field Values

### HTML_CONTENTS_LOGGING

    public static final int HTML_CONTENTS_LOGGING

See Also:
  Constant Field Values

### XHTML_CONTENTS_LOGGING

    public static final int XHTML_CONTENTS_LOGGING

See Also:
  Constant Field Values

### TABLE_TAG_START

    public static final java.lang.String TABLE_TAG_START

See Also:
  Constant Field Values

### TABLE_TAG_END

    public static final java.lang.String TABLE_TAG_END

See Also:
  Constant Field Values

### TABLE_BACKGROUND_COLOR

    public static final java.lang.String TABLE_BACKGROUND_COLOR

See Also:
  Constant Field Values

### DEFAULT_CHARACTER_ENCODING

    public static final java.lang.String DEFAULT_CHARACTER_ENCODING

See Also:
  Constant Field Values

### DEFAULT_IANA_ENCODING

    public static final java.lang.String DEFAULT_IANA_ENCODING

See Also:
  Constant Field Values

### PAGE_URL

    public static final java.lang.String PAGE_URL

See Also:
  Constant Field Values

### EXTERNAL_APP

    public static final java.lang.String EXTERNAL_APP

See Also:
  Constant Field Values

### SELECT_SUBMIT

    public static final java.lang.String SELECT_SUBMIT

See Also:
  Constant Field Values

Constructor Detail

### UrlServicesUtils

    public UrlServicesUtils()

Method Detail

### logMessage

    public static void logMessage(java.lang.String,
                                  int)

### logMessage

    public static void logMessage(java.lang.String,
                                  int,
                                  int)

### logMessage

    public static void logMessage(java.lang.String,
                                  java.lang.Exception,
                                  int)

### showPortletParameters

    public static java.lang.String showPortletParameters(PortletRenderRequest)

### hashString

    public static java.lang.String hashString(java.lang.String)

### convertStreamToStringBuffer

    public static java.lang.StringBuffer convertStreamToStringBuffer(java.io.InputStream,
                                                                     java.lang.String,
                                                                     int)

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.